GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_fd Struct Reference

`#include <fd_posix.h>`

## Data Fields
int | fd
gpr_atm | refst
gpr_mu | set_state_mu
gpr_atm | shutdown
int | closed
gpr_mu | watcher_mu
grpc_fd_watcher | inactive_watcher_root
grpc_fd_watcher * | read_watcher
grpc_fd_watcher * | write_watcher
gpr_atm | readst
gpr_atm | writest
struct grpc_fd * | freelist_next
grpc_iomgr_closure * | on_done_closure
grpc_iomgr_closure * | shutdown_closures [2]
grpc_iomgr_object | iomgr_object

## Field Documentation

int grpc_fd::closed

int grpc_fd::fd

struct grpc_fd* grpc_fd::freelist_next

grpc_fd_watcher grpc_fd::inactive_watcher_root

grpc_iomgr_object grpc_fd::iomgr_object

grpc_iomgr_closure* grpc_fd::on_done_closure

grpc_fd_watcher* grpc_fd::read_watcher

gpr_atm grpc_fd::readst

gpr_atm grpc_fd::refst

gpr_mu grpc_fd::set_state_mu

gpr_atm grpc_fd::shutdown

grpc_iomgr_closure* grpc_fd::shutdown_closures[2]

gpr_mu grpc_fd::watcher_mu

grpc_fd_watcher* grpc_fd::write_watcher

gpr_atm grpc_fd::writest

The documentation for this struct was generated from the following file:

- src/core/iomgr/fd_posix.h